[ruby-opengl-devel] Release 0.40.0 of ruby-opengl

Jan Dvorak jan.dvorak at kraxnet.cz
Thu Jul 19 16:37:55 EDT 2007

On Thursday 19 July 2007 03:42, Al Hoang wrote:
>     Jan, if you have a win32 binary gem already laying around, could you
> load that to the rubyforge site?  I'm sure that will be a boon to many
> Windows users and perhaps we can nudge the all-in-one installer maintainer
> to see about including the ruby-opengl gem instead of the old Yoshi binding
> one.
I've added the gem file to the 0.40.1 release. Tested on Windows XP, the 
installation process is:
1) install the ruby one-click installer 
2) gem install mkrf
3) gem install ruby-opengl-0.40.1-i386-mswin32.gem
4) delete/rename opengl.so and glut.so from C:
\ruby\lib\ruby\site_ruby\1.8\i386-msvcrt (the yoshi's bindings that comes 
with the installer)

It should be backwards compatible, so the GL samples that also comes with the 
installer (C:\ruby\samples\OpenGL-0.23b) works (well mostly) just fine.

Btw, i think we should enable task browser (and/or tracker for 
bugs/patches/feature requests) on rubyforge to keep track of progress and 
things that needs to be done. Your thoughts ?


More information about the ruby-opengl-devel mailing list